com.thinkaurelius.titan.core

## Interface TitanIndexQuery

- All Known Implementing Classes:
    IndexQueryBuilder

      public interface TitanIndexQuery

  A GraphQuery that queries for graph elements directly against a particular indexing backend and hence allows this query mechanism to exploit the full range of features and functionality of the indexing backend. However, the results returned by this query will not be adjusted to the modifications in a transaction. If there are no changes in a transaction, this won't matter. If there are, the results of this query may not be consistent with the transactional state.
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `TitanIndexQuery.Result<V extends com.tinkerpop.blueprints.Element>` Container of a query result with its score.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TitanIndexQuery` | `addParameter(Parameter para)` Adds the given parameter to the list of parameters of this query.
    `TitanIndexQuery` | `addParameters(Iterable<Parameter> paras)` Adds the given parameters to the list of parameters of this query.
    `TitanIndexQuery` | `addParameters(Parameter... paras)` Adds the given parameters to the list of parameters of this query.
    `Iterable<TitanIndexQuery.Result<com.tinkerpop.blueprints.Edge>>` | `edges()` Returns all edges that match the query in the indexing backend.
    `TitanIndexQuery` | `limit(int limit)` Specifies the maxium number of elements to return
    `TitanIndexQuery` | `offset(int offset)` Specifies the offset of the query.
    `Iterable<TitanIndexQuery.Result<TitanProperty>>` | `properties()` Returns all properties that match the query in the indexing backend.
    `Iterable<TitanIndexQuery.Result<com.tinkerpop.blueprints.Vertex>>` | `vertices()` Returns all vertices that match the query in the indexing backend.

- - ### Method Detail

    - #### limit

          TitanIndexQuery limit(int limit)

      Specifies the maxium number of elements to return
      Parameters:
        `limit` -
      Returns:

    - #### offset

          TitanIndexQuery offset(int offset)

      Specifies the offset of the query. Query results will be retrieved starting at the given offset.
      Parameters:
        `offset` -
      Returns:

    - #### addParameter

          TitanIndexQuery addParameter(Parameter para)

      Adds the given parameter to the list of parameters of this query. Parameters are passed right through to the indexing backend to modify the query behavior.
      Parameters:
        `para` -
      Returns:

    - #### addParameters

          TitanIndexQuery addParameters(Iterable<Parameter> paras)

      Adds the given parameters to the list of parameters of this query. Parameters are passed right through to the indexing backend to modify the query behavior.
      Parameters:
        `paras` -
      Returns:

    - #### addParameters

          TitanIndexQuery addParameters(Parameter... paras)

      Adds the given parameters to the list of parameters of this query. Parameters are passed right through to the indexing backend to modify the query behavior.
      Parameters:
        `paras` -
      Returns:

    - #### vertices

          Iterable<TitanIndexQuery.Result<com.tinkerpop.blueprints.Vertex>> vertices()

      Returns all vertices that match the query in the indexing backend.
      Returns:

    - #### edges

          Iterable<TitanIndexQuery.Result<com.tinkerpop.blueprints.Edge>> edges()

      Returns all edges that match the query in the indexing backend.
      Returns:

    - #### properties

          Iterable<TitanIndexQuery.Result<TitanProperty>> properties()

      Returns all properties that match the query in the indexing backend.
      Returns:

Copyright © 2012–2014. All rights reserved.